\tikzstyle{commit}=[draw,circle]

\begin{tikzpicture}[scale=0.7]
	\node[commit, fill=green!60] (C3)at(4,0){C3};
	\node[commit, fill=green!60] (C5)at(6,0){C5};
	\node[commit, fill=green!60] (C7)at(8,0){C7};
	\node[commit, text=red, fill=cyan!80] (C4)at(10,0){C4'};
	\node[commit, text=red, fill=cyan!80] (C6)at(12,0){C6'};
	\draw[->, >=latex] (C5) -- (C3) ;
	\draw[->, >=latex] (C7) -- (C5) ;
	\draw[->, >=latex] (C4) -- (C7) ;
	\draw[->, >=latex] (C6) -- (C4) ;
\end{tikzpicture}
